﻿using System;
using System.Collections.Generic;
using System.Text;
using Xamarin.Forms;
using Syncfusion.XForms.DataForm;

namespace DataForm
{
    public class DataFormBehavior : Behavior<ContentPage>
    {
        SfDataForm dataForm;

        protected override void OnAttachedTo(ContentPage bindable)
        {
            dataForm = bindable.FindByName<SfDataForm>("dataForm");
            dataForm.AutoGeneratingDataFormItem += DataForm_AutoGeneratingDataFormItem;
        }

        private void DataForm_AutoGeneratingDataFormItem(object sender, AutoGeneratingDataFormItemEventArgs e)
        {
            if (e.DataFormItem != null)
            {
                if (e.DataFormItem.Name == "Code" || e.DataFormItem.Name == "Name")
                    e.DataFormItem.GroupName = "General";
                else
                {
                    e.DataFormItem.GroupName = "Details";
                }

            }
            if(e.DataFormGroupItem != null && e.DataFormGroupItem.GroupName == "Details")
            {
                foreach (var item in e.DataFormGroupItem.DataFormItems)
                    (item as DataFormItem).Editor = "MultilineText";
            }
        }
    }
}
